### Constructor

# GtkSource Buffer new

#### Declaration [src]

    GtkSourceBuffer*
    gtk_source_buffer_new (
      GtkTextTagTable* table
    )

#### Description [src]

Creates a new source buffer.

#### Parameters

`table`

  Type: `GtkTextTagTable`

  A `GtkTextTagTable`, or `NULL` to create a new one.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceBuffer`

A new source buffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.